jQuery(document).ready(function($){

if(typeof(Storage)!=="undefined"){

	if (sessionStorage.getItem("loggedInName") != null) {
		var iPanaloggedInName = sessionStorage.loggedInName;
		$("#ipanaloginwrapper").empty();	
		$("#ipanaloginwrapper").append('<form class="login-form"><br/><br/>Olet kirjautuneena iPana Äitiys-palveluun.<br/><br/>Pääset äitiyskortillesi <a href="/aitiys/">tästä</a></form>.');
	}
  
}
else{
  //console.log("ei storagea");
}

	$('#ipanaloginsubmit').click(function(e){
		e.preventDefault();
		$.ajax({
			type: "POST",
			url: $('#ipanaloginform').attr('action'),
			data: $("#ipanaloginform").serialize(), // serializes the form's elements.
			success: function(data) {
				var urlParams = window.location.search;
				//$('#hex').val(data);
				if (urlParams) {
					window.location.replace(data+urlParams);	
				
				} else {
					window.location.replace(data);
				}
			},
			error: function(XMLHttpRequest, textStatus, errorThrown) {
                        
                if(XMLHttpRequest.status==401){
                    $( "#aitiys_login_virheviestit" ).empty().slideUp("fast");
					$( "#aitiys_login_virheviestit" ).append("<div class=\"error\">Virheellinen käyttäjätunnus tai salasana!</div>").slideDown("fast");
					}
					
                else{
                    $( "#aitiys_login_virheviestit" ).empty().slideUp("fast");
					$("#aitiys_login_virheviestit" ).append("<div class=\"error\">Tekninen virhe, yritä hetken kuluttua uudestaan!</div>").slideDown("fast");
				}

             }       
		});
		
		
	});

	//esitietosivun valinta (äitiyskortti vai pelkät esitiedot)
	$('.esitietoform-vasen').click(function(){
		$(this).removeClass('notclicked');	
		$(this).addClass('clicked');
		$('.esitietoform-oikea').removeClass('clicked');	
		$('.esitietoform-oikea').addClass('notclicked');
		
		$('#esitietovalinta_esitiedot').prop('checked', false);
		$('#esitietovalinta_aitiys').prop('checked', true);
		
		$('#esitietologinform_aitiys').show();
		$('#esitietologinform_esitiedot').hide();
		
	});	
	
	$('.esitietoform-oikea').click(function(){
		$(this).removeClass('notclicked');	
		$(this).addClass('clicked');
		$('.esitietoform-vasen').removeClass('clicked');	
		$('.esitietoform-vasen').addClass('notclicked');
		
		$('#esitietovalinta_aitiys').prop('checked', false);
		$('#esitietovalinta_esitiedot').prop('checked', true);
		
		$('#esitietologinform_esitiedot').show();
		$('#esitietologinform_aitiys').hide();
		
		
	});	
	
	// NEW ACCOUNT VIA WEB ANMNESIS
        $('#esitietologin_submit').click(function(e){
            e.preventDefault();
            $.ajax({
                type: "POST",
                url: $('#esitietologinform_aitiys').attr('action'),
                data: $("#esitietologinform_aitiys").serialize(), // serializes the form's elements.
                dataType: "text",
            }).done(function (data) {
                $('#hex').val(data);
				window.location.replace("/aitiys/#/newAccountViaWebAnamnesis?q=" + data);
            }).fail(function(jqXHR, textStatus) {
                if (jqXHR.status === 503 || jqXHR.status === 500) { // SERVICE_UNAVAILABLE
                   // alert ("Tekninen virhe, yritä myöhemmin uudestaan"); 
					$( "#aitiys_login_virheviestit" ).empty().slideUp("fast");
					$( "#aitiys_login_virheviestit" ).append('<div class="error">Tekninen virhe, yritä myöhemmin uudestaan</div>').slideDown("fast");
					
                } else if (jqXHR.status === 409 ) { //CONFLICT
					window.location.replace("/vanhalla-tunnuksella-kirjautuminen/");
					//alert("Sinulla on jo äitiyskorttitunnus!\n Voit kirjautua sisään sähköpostiosoitteellasi etusivulla www.ipana.fi"); 
                    //$( "#aitiys_login_virheviestit" ).empty().slideUp("fast");
					//$( "#aitiys_login_virheviestit" ).append('<div class="error">Sinulla on jo äitiyskorttitunnus!<br/> Voit kirjautua sisään sähköpostiosoitteellasi etusivulla <a href="https://www.ipana.fi">www.ipana.fi</a></div>').slideDown("fast");
					// responseText might contain :
                    // 'SSN ALREADY HAVE ACCOUNT(account's email)\n'
                    // (and/or)
                    // 'EMAIL-ID IN USE(emailid from webanmnesisaccount)\n'
                } else if (jqXHR.status === 401) { // EXPECTATION_FAILED
                   // alert("Väärä tunnus tai salasana!"); 
				   	$( "#aitiys_login_virheviestit" ).empty().slideUp("fast");
					$( "#aitiys_login_virheviestit" ).append('<div class="error">Väärä tunnus tai salasana!</div>').slideDown("fast");
                }
            });
        });

	
	
	//jos tulee virhe esitietokirjautumisessa --> focus suoraan siihen valintaan
	var messageParameter = getParameter('message');
		
	if(messageParameter){
	
		
		$('.esitietoform-oikea').removeClass('notclicked');	
		$('.esitietoform-oikea').addClass('clicked');
		$('.esitietoform-vasen').removeClass('clicked');	
		$('.esitietoform-vasen').addClass('notclicked');
		
		$('#esitietovalinta_aitiys').prop('checked', false);
		$('#esitietovalinta_esitiedot').prop('checked', true);
		
		$('#esitietologinform_esitiedot').show();
		$('#esitietologinform_aitiys').hide();
		
	}
	
	
	
	function getParameter(sParam){
		var sPageURL = window.location.search.substring(1);
		var sURLVariables = sPageURL.split('&');
		for (var i = 0; i < sURLVariables.length; i++) 
		{
			var sParameterName = sURLVariables[i].split('=');
			if (sParameterName[0] == sParam) 
			{
				return sParameterName[1];
			}
		}
	
	}
	
	//blogit - hover
	  
	$('.blogit_esittelylaatikko').hover(
	   function(){
		  $(this).fadeTo('fast', 0.7);
	   },
	   function(){
		  $(this).fadeTo('fast', 1.0);
	   });
});
